> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# LinkedIn Employees

> List LinkedIn company employees — name, role, location, seniority — from a list of company URLs

`$1.2 / 1k profiles`

List LinkedIn company employees — name, role, location, seniority — from a list of company URLs

## Endpoint

`POST /api/v1/agents/linkedin/company-employees/run`

## Parameters

<ParamField body="companies" type="array" required>
  **List** · LinkedIn company URLs (e.g. [https://www.linkedin.com/company/google](https://www.linkedin.com/company/google)). One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={100}>
  **Number** · Maximum number of employee profiles to scrape. Use 0 for all.
</ParamField>

<ParamField body="locations" type="array">
  **List** · Filter by location (e.g. San Francisco, London). One per line.
</ParamField>

<ParamField body="jobTitles" type="array">
  **List** · Filter by current job title (e.g. Software Engineer, Product Manager). One per line.
</ParamField>

<ParamField body="yearsAtCompany" type="array">
  **Multi-select** · Filter to employees in this tenure band.

  **Options:** `1`, `2`, `3`, `4`, `5`

  *Legend: `1` = Less than 1 year, `2` = 1-2 years, `3` = 3-5 years, `4` = 6-10 years, `5` = More than 10 years*
</ParamField>

<ParamField body="yearsOfExperience" type="array">
  **Multi-select** · Filter to employees in this experience band.

  **Options:** `1`, `2`, `3`, `4`, `5`

  *Legend: `1` = Less than 1 year, `2` = 1-2 years, `3` = 3-5 years, `4` = 6-10 years, `5` = More than 10 years*
</ParamField>

<ParamField body="companyHeadcount" type="array">
  **Multi-select** · Filter to companies in this employee-count band.

  <Accordion title="Show all 9 options">
    `1`, `2-10`, `11-50`, `51-200`, `201-500`, `501-1000`, `1001-5000`, `5001-10000`, `10001+`

    *Legend: `1` = Self-employed (1), `2-10` = 2-10 employees, `11-50` = 11-50 employees, `51-200` = 51-200 employees, `201-500` = 201-500 employees, `501-1000` = 501-1000 employees, `1001-5000` = 1001-5000 employees, `5001-10000` = 5001-10000 employees, `10001+` = 10001+ employees*

    [View all 9 as a structured list →](/agents/linkedin/company-employees/values#companyheadcount)
  </Accordion>
</ParamField>

<ParamField body="recentlyChangedJobs" type="boolean">
  **Toggle** · Set to true to only get people who have recently changed jobs.
</ParamField>

<ParamField body="pastJobTitles" type="array">
  **List** · Filter by past job title text (e.g. 'engineer'). One per line.
</ParamField>

<ParamField body="seniorityLevels" type="array">
  **Multi-select** · Filter to employees at this seniority level.

  <Accordion title="Show all 10 options">
    `100`, `110`, `120`, `130`, `200`, `210`, `220`, `300`, `310`, `320`

    *Legend: `100` = In Training, `110` = Entry Level, `120` = Senior, `130` = Strategic, `200` = Entry Level Manager, `210` = Experienced Manager, `220` = Director, `300` = Vice President, `310` = CXO, `320` = Owner / Partner*

    [View all 10 as a structured list →](/agents/linkedin/company-employees/values#senioritylevels)
  </Accordion>
</ParamField>

<ParamField body="functions" type="array">
  **Multi-select** · Filter to employees in this job function.

  <Accordion title="Show all 26 options">
    `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`

    *Legend: `1` = Accounting, `2` = Administrative, `3` = Arts and Design, `4` = Business Development, `5` = Community and Social Services, `6` = Consulting, `7` = Education, `8` = Engineering, `9` = Entrepreneurship, `10` = Finance, `11` = Healthcare Services, `12` = Human Resources, `13` = Information Technology, `14` = Legal, `15` = Marketing, `16` = Media and Communication, `17` = Military and Protective Services, `18` = Operations, `19` = Product Management, `20` = Program and Project Management, `21` = Purchasing, `22` = Quality Assurance, `23` = Real Estate, `24` = Research, `25` = Sales, `26` = Customer Success and Support*

    [View all 26 as a structured list →](/agents/linkedin/company-employees/values#functions)
  </Accordion>
</ParamField>

<ParamField body="industries" type="array">
  **Multi-select** · Filter to employees in this industry.

  [View all 434 options →](/agents/linkedin/company-employees/values#industries)
</ParamField>

## Response columns

| Field                        | Display name                 | Type    |
| ---------------------------- | ---------------------------- | ------- |
| `companyUrl`                 | Company URL                  | url     |
| `profileUrl`                 | Profile URL                  | url     |
| `firstName`                  | First Name                   | text    |
| `lastName`                   | Last Name                    | text    |
| `headline`                   | Headline                     | text    |
| `currentTitle`               | Current Title                | text    |
| `company`                    | Company                      | text    |
| `companyLogo`                | Company Logo                 | url     |
| `tenure`                     | Tenure                       | text    |
| `started`                    | Started                      | text    |
| `workLocation`               | Work Location                | text    |
| `employmentType`             | Employment Type              | text    |
| `workplace`                  | Workplace                    | text    |
| `location`                   | Location                     | text    |
| `profilePicture`             | Profile Picture              | url     |
| `coverPicture`               | Cover Picture                | url     |
| `followers`                  | Followers                    | number  |
| `connections`                | Connections                  | number  |
| `username`                   | Username                     | text    |
| `premium`                    | Premium                      | boolean |
| `openToWork`                 | Open To Work                 | boolean |
| `hiring`                     | Hiring                       | boolean |
| `verified`                   | Verified                     | boolean |
| `topSchool`                  | Top School                   | text    |
| `topDegree`                  | Top Degree                   | text    |
| `topSkill`                   | Top Skill                    | text    |
| `joinedLinkedin`             | Joined LinkedIn              | text    |
| `about`                      | About                        | text    |
| `currentPositionDescription` | Current Position Description | text    |
| `influencer`                 | Influencer                   | boolean |
| `locationCity`               | Location City                | text    |
| `allExperience`              | All Experience               | object  |
| `allEducation`               | All Education                | object  |
| `allSkills`                  | All Skills                   | object  |
| `languages`                  | Languages                    | object  |
| `recommendations`            | Recommendations              | object  |
| `certifications`             | Certifications               | object  |
| `honorsAwards`               | Honors & Awards              | object  |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/linkedin/company-employees/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "maxResults": 10,
      "companies": [
        "https://www.linkedin.com/company/google"
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/linkedin/company-employees/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "maxResults": 10,
      "companies": [
          "https://www.linkedin.com/company/google"
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "companyUrl": null,
      "profileUrl": "https://www.linkedin.com/in/ptapoka",
      "firstName": "Patrick",
      "lastName": "Tapoka",
      "headline": "Strategy and Operations (ex-Google)",
      "currentTitle": null,
      "company": null,
      "companyLogo": null,
      "tenure": null,
      "started": null,
      "workLocation": null,
      "employmentType": null,
      "workplace": null,
      "location": "San Francisco, CA, United States",
      "profilePicture": null,
      "coverPicture": "https://media.licdn.com/dms/image/v2/D5616AQEpgMLuTWJBbg/profile-displaybackgroundimage-shrink_350_1400/profile-displaybackgroundimage-shrink_350_1400/0/1701646754039?e=1779321600&v=beta&t=N9maU862Iyx7tDQ3tQ3HJhPH0NnutcjglZvLWWNMP1M",
      "followers": 1925,
      "connections": 1869,
      "username": "ptapoka",
      "premium": true,
      "openToWork": false,
      "hiring": false,
      "verified": true,
      "topSchool": null,
      "topDegree": null,
      "topSkill": null,
      "joinedLinkedin": "2011-04-12T10:27:57.157Z",
      "about": null,
      "currentPositionDescription": null,
      "influencer": false,
      "locationCity": "San Francisco",
      "allExperience": [
        {
          "position": "Strategy and Operations",
          "location": "Sunnyvale, CA",
          "employmentType": "Full-time",
          "workplaceType": "Hybrid",
          "companyName": "Google",
          "companyLinkedinUrl": "https://www.linkedin.com/company/google/",
          "companyId": "1441",
          "companyUniversalName": "google",
          "duration": "2 yrs 5 mos",
          "description": "Owned strategic planning infra and investment governance for a multi-billion-dollar product portfolio. Drove OKR alignment across a large global product and engineering org, staffed the VP+ prioritization forums to kill low-ROI bets and shift resources to high-signal areas, and stood up XFN tigers to unblock launches and compress time-to-ship",
          "skills": null,
          "startDate": {
            "month": "Jan",
            "year": 2024,
            "text": "Jan 2024"
          },
          "endDate": {
            "text": "Present"
          },
          "companyLogo": {
            "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGv3cqOuUMY7g/company-logo_400_400/B4EZmhegXHGcAc-/0/1759350753990/google_logo?e=1779321600&v=beta&t=xvfNR1j7FEsIX_7_jOjfX1lYxRy7SRUOJocK9S9sePk",
            "sizes": [
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGv3cqOuUMY7g/company-logo_400_400/B4EZmhegXHGcAc-/0/1759350753990/google_logo?e=1779321600&v=beta&t=xvfNR1j7FEsIX_7_jOjfX1lYxRy7SRUOJocK9S9sePk",
                "width": 400,
                "height": 400,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGv3cqOuUMY7g/company-logo_200_200/B4EZmhegXHGcAM-/0/1759350753990/google_logo?e=1779321600&v=beta&t=A7JCTffNkgpC4JWAYZSeGv6Xth_Vbbeg-dVYtFza_KI",
                "width": 200,
                "height": 200,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGv3cqOuUMY7g/company-logo_100_100/B4EZmhegXHGcAU-/0/1759350753990/google_logo?e=1779321600&v=beta&t=WPzouT-2APxNIU67Ui9wk8ov83es4Z7_4wGVtcGipQE",
                "width": 100,
                "height": 100,
                "expiresAt": 1779321600000
              }
            ]
          }
        },
        {
          "position": "Business Operations Manager (Product Strategy and Operations)",
          "location": "San Bruno, CA",
          "employmentType": "Full-time",
          "workplaceType": "Hybrid",
          "companyName": "Walmart Marketplace",
          "companyLinkedinUrl": "https://www.linkedin.com/company/18194335/",
          "companyId": "18194335",
          "duration": "Less than a year",
          "description": "Led strategic planning, R&D investment strategy, and growth modeling for Walmart Marketplace's eCommerce Engineering & Product organization, driving the roadmap for Walmart's automated repricing engine to accelerate seller competitiveness and GMV growth",
          "skills": null,
          "startDate": {
            "year": 2023,
            "text": "2023"
          },
          "endDate": {
            "year": 2023,
            "text": "2023"
          },
          "companyLogo": {
            "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGdLKBXfDhUCA/company-logo_400_400/B4EZuQvj7ULIAY-/0/1767659946208/walmart_marketplace_logo?e=1779321600&v=beta&t=kQT3gMSTxjSVomFZiDc9F5wydm6Nh2ykz2tERoNjuyk",
            "sizes": [
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGdLKBXfDhUCA/company-logo_400_400/B4EZuQvj7ULIAY-/0/1767659946208/walmart_marketplace_logo?e=1779321600&v=beta&t=kQT3gMSTxjSVomFZiDc9F5wydm6Nh2ykz2tERoNjuyk",
                "width": 400,
                "height": 400,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGdLKBXfDhUCA/company-logo_200_200/B4EZuQvj7ULIAI-/0/1767659946208/walmart_marketplace_logo?e=1779321600&v=beta&t=wBXLt0RSapxmNTLA-ep1rIkMMIST02Ar0-cuYk1lZco",
                "width": 200,
                "height": 200,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQGdLKBXfDhUCA/company-logo_100_100/B4EZuQvj7ULIAQ-/0/1767659946208/walmart_marketplace_logo?e=1779321600&v=beta&t=_tB_YimJxzypHwz52xOcb91L7rZLpzqWx_LXiS07El4",
                "width": 100,
                "height": 100,
                "expiresAt": 1779321600000
              }
            ]
          }
        },
        {
          "position": "Senior Consultant",
          "location": null,
          "employmentType": "Full-time",
          "workplaceType": null,
          "companyName": "Crowninshield Financial Research",
          "companyLinkedinUrl": "https://www.linkedin.com/company/1025247/",
          "companyId": "1025247",
          "duration": "1 yr",
          "description": "Strategy and Analytics",
          "skills": null,
          "startDate": {
            "year": 2018,
            "text": "2018"
          },
          "endDate": {
            "year": 2019,
            "text": "2019"
          },
          "companyLogo": {
            "url": "https://media.licdn.com/dms/image/v2/C4D0BAQHHw27eKH5QLQ/company-logo_400_400/company-logo_400_400/0/1631315538680?e=1779321600&v=beta&t=p1jwWsyF0LiYGZJq_h-RxnKPqeWTWAH-vSU-HkZGk7s",
            "sizes": [
              {
                "url": "https://media.licdn.com/dms/image/v2/C4D0BAQHHw27eKH5QLQ/company-logo_400_400/company-logo_400_400/0/1631315538680?e=1779321600&v=beta&t=p1jwWsyF0LiYGZJq_h-RxnKPqeWTWAH-vSU-HkZGk7s",
                "width": 400,
                "height": 400,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/C4D0BAQHHw27eKH5QLQ/company-logo_200_200/company-logo_200_200/0/1631315538680?e=1779321600&v=beta&t=Revs3xz8ynM5AVzGltZeTWNDE8yaPggTJSOAQvvfCEI",
                "width": 200,
                "height": 200,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/C4D0BAQHHw27eKH5QLQ/company-logo_100_100/company-logo_100_100/0/1631315538680?e=1779321600&v=beta&t=cUgY2q56Un2KEFhkdMFa0DkYwJPmmu9qYUaM-RVt0ao",
                "width": 100,
                "height": 100,
                "expiresAt": 1779321600000
              }
            ]
          }
        },
        {
          "position": "MBA Graduate ",
          "location": "Greater Philadelphia Area",
          "employmentType": "Full-time",
          "workplaceType": null,
          "companyName": "The Wharton School",
          "companyLinkedinUrl": "https://www.linkedin.com/school/the-wharton-school/",
          "companyId": "5290",
          "companyUniversalName": "the-wharton-school",
          "duration": "1 yr 10 mos",
          "description": null,
          "skills": null,
          "startDate": {
            "month": "Aug",
            "year": 2016,
            "text": "Aug 2016"
          },
          "endDate": {
            "month": "May",
            "year": 2018,
            "text": "May 2018"
          },
          "companyLogo": {
            "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_400_400/company-logo_400_400/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=kFM_sO0q59EgezI-IuAIvm4go1hv7HBpQwYMWiDpbpY",
            "sizes": [
              {
                "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_400_400/company-logo_400_400/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=kFM_sO0q59EgezI-IuAIvm4go1hv7HBpQwYMWiDpbpY",
                "width": 400,
                "height": 400,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_200_200/company-logo_200_200/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=oIRgOo3kHvbsOnAujuslyprztPLf0zd5ouFUlWAyabY",
                "width": 200,
                "height": 200,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_100_100/company-logo_100_100/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=FpgowdjCk-dvw_eWYQRXtu_zE7sUjSHPbnodZVVsw8w",
                "width": 100,
                "height": 100,
                "expiresAt": 1779321600000
              }
            ]
          }
        },
        {
          "position": "Senior Consultant (Strategy and Operations)",
          "location": "Various",
          "employmentType": "Full-time",
          "workplaceType": "On-site",
          "companyName": "Ernst & Young",
          "companyLinkedinUrl": "https://www.linkedin.com/search/results/all/?keywords=Ernst+%26+Young",
          "duration": "2 yrs 7 mos",
          "description": null,
          "skills": null,
          "startDate": {
            "month": "Jan",
            "year": 2014,
            "text": "Jan 2014"
          },
          "endDate": {
            "month": "Jul",
            "year": 2016,
            "text": "Jul 2016"
          }
        },
        {
          "position": "Senior Associate (Strategic Analytics)",
          "location": "Various",
          "employmentType": "Full-time",
          "workplaceType": "On-site",
          "companyName": "PwC",
          "companyLinkedinUrl": "https://www.linkedin.com/company/1044/",
          "companyId": "1044",
          "duration": "4 yrs",
          "description": null,
          "skills": null,
          "startDate": {
            "year": 2010,
            "text": "2010"
          },
          "endDate": {
            "year": 2014,
            "text": "2014"
          },
          "companyLogo": {
            "url": "https://media.licdn.com/dms/image/v2/D4E0BAQFVfAbYbmcpvA/company-logo_400_400/B4EZaB6j58H0AY-/0/1745936334912/pwc_logo?e=1779321600&v=beta&t=B7P2RpbQ5alLJtW5UjEPPQro45H5dIrOWz1Qi6dB3Lc",
            "sizes": [
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQFVfAbYbmcpvA/company-logo_400_400/B4EZaB6j58H0AY-/0/1745936334912/pwc_logo?e=1779321600&v=beta&t=B7P2RpbQ5alLJtW5UjEPPQro45H5dIrOWz1Qi6dB3Lc",
                "width": 400,
                "height": 400,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQFVfAbYbmcpvA/company-logo_200_200/B4EZaB6j58H0AI-/0/1745936334912/pwc_logo?e=1779321600&v=beta&t=UjeTGZicg4L2QyS1velHgPcon-HjZziD28qIB8hbCRY",
                "width": 200,
                "height": 200,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/D4E0BAQFVfAbYbmcpvA/company-logo_100_100/B4EZaB6j58H0AQ-/0/1745936334912/pwc_logo?e=1779321600&v=beta&t=uEf1uc4IZ8fABPmUVx9ssvIcIU-6aBnSAbDt1XZ7mfQ",
                "width": 100,
                "height": 100,
                "expiresAt": 1779321600000
              }
            ]
          }
        }
      ],
      "allEducation": [
        {
          "schoolName": "The Wharton School",
          "schoolLinkedinUrl": "https://www.linkedin.com/company/5290/",
          "schoolId": "5290",
          "degree": "Master of Business Administration (MBA), Finance and Strategy",
          "period": "2016 - 2018",
          "schoolLogo": {
            "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_400_400/company-logo_400_400/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=kFM_sO0q59EgezI-IuAIvm4go1hv7HBpQwYMWiDpbpY",
            "sizes": [
              {
                "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_400_400/company-logo_400_400/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=kFM_sO0q59EgezI-IuAIvm4go1hv7HBpQwYMWiDpbpY",
                "width": 400,
                "height": 400,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_200_200/company-logo_200_200/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=oIRgOo3kHvbsOnAujuslyprztPLf0zd5ouFUlWAyabY",
                "width": 200,
                "height": 200,
                "expiresAt": 1779321600000
              },
              {
                "url": "https://media.licdn.com/dms/image/v2/C4E0BAQFQu7wZniptpA/company-logo_100_100/company-logo_100_100/0/1677690194092/the_wharton_school_logo?e=1779321600&v=beta&t=FpgowdjCk-dvw_eWYQRXtu_zE7sUjSHPbnodZVVsw8w",
                "width": 100,
                "height": 100,
                "expiresAt": 1779321600000
              }
            ]
          },
          "startDate": {
            "year": 2016,
            "text": "2016"
          },
          "endDate": {
            "year": 2018,
            "text": "2018"
          }
        }
      ],
      "allSkills": [
        {
          "name": "Financial Analysis",
          "positions": [
            "Endorsed by 2 colleagues at PwC"
          ],
          "endorsements": "6 endorsements"
        },
        {
          "name": "Financial Modeling",
          "endorsements": "2 endorsements"
        },
        {
          "name": "Business Strategy",
          "endorsements": "3 endorsements"
        },
        {
          "name": "Corporate Finance"
        },
        {
          "name": "Valuation"
        },
        {
          "name": "Management Consulting"
        },
        {
          "name": "Business Analysis",
          "endorsements": "4 endorsements"
        },
        {
          "name": "Data Analysis"
        },
        {
          "name": "Research"
        },
        {
          "name": "Strategy"
        },
        {
          "name": "Strategic Planning"
        }
      ],
      "languages": [],
      "recommendations": [],
      "certifications": [],
      "honorsAwards": []
    }
  ]
}
```
